petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscViewerFileSetName

Sets the name of the file the PetscViewer uses.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerFileSetName(PetscViewer viewer,const char name[])

Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer; either ASCII or binary
| name | - the name of the file it should use

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerASCIIOpen(), PetscViewerBinaryOpen(), PetscViewerDestroy(),
PetscViewerASCIIGetPointer(), PetscViewerASCIIPrintf(), PetscViewerASCIISynchronizedPrintf()

### Level

advanced

### Location

src/sys/classes/viewer/impls/ascii/filev.c

### Examples

src/sys/classes/viewer/tutorials/ex1.c.html
src/mat/tutorials/ex10.c.html
src/dm/impls/plex/tutorials/ex1.c.html
src/dm/impls/plex/tutorials/ex1f90.F90.html
src/dm/tutorials/ex15.c.html
src/dm/tutorials/ex20.c.html
src/ksp/ksp/tutorials/ex43.c.html
src/ksp/ksp/tutorials/ex70.c.html
src/snes/tutorials/ex12.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex48.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages